# Generated by rust2rpm 24

# * tests fail on 32-bit arches
%ifarch %{ix86} %{arm}
%bcond check 0
%else
%bcond check 1
%endif
%global debug_package %{nil}

%global crate associative-cache

Name:           rust-associative-cache
Version:        1.0.1
Release:        %autorelease
Summary:        Generic N-way associative cache

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/associative-cache
Source0:        %{crates_source}
# Upstream is inactive/unresponsive and has not included the license texts.
# A bug was filled: https://github.com/fitzgen/associative-cache/issues/14
# The upstream maintainers explicitly specify in Cargo.toml that the crate is
# licensed under the SPDX identifier "MIT OR Apache-2.0".
# Both of these licenses require including their texts when distributing the
# software.
# In compliance with
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_license_text ,
# we include the license text from canonical sources in the package ourselves.
# When/if upstream responds to the aforementioned issue report,
# these will be removed.
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt#/Apache-2.0.txt
Source2:        https://github.com/spdx/license-list-data/raw/main/text/MIT.txt

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A generic N-way associative cache with fixed-size capacity and random or
least recently used (LRU) replacement.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license MIT.txt Apache-2.0.txt
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp -p %{S:1} %{S:2} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Doctests are broken
%cargo_test -- --lib
%endif

%changelog
%autochangelog
